use std::path::PathBuf;

use crate::error::Error;
use crate::linker::Linker;

mod object;
mod output;

pub use object::*;
pub use output::*;

impl Linker<ElfObject, ElfOutput> {
    // shortcut to avoid turbofish
    pub fn elf(destination: PathBuf) -> Result<Self, Error> {
        Ok(Self::new(ElfOutput::new(destination)?))
    }
}
